import type { ComposerProps as APIComposerProps } from 'botframework-webchat-api';
import { WebSpeechPonyfillFactory } from 'botframework-webchat-api';
import PropTypes from 'prop-types';
import React, { type ReactNode } from 'react';
type ComposerCoreProps = Readonly<{
    children?: ReactNode;
    extraStyleSet?: any;
    nonce?: string;
    renderMarkdown?: (markdown: string, newLineOptions: {
        markdownRespectCRLF: boolean;
    }, linkOptions: {
        externalLinkAlt: string;
    }) => string;
    styleSet?: any;
    suggestedActionsAccessKey?: boolean | string;
    webSpeechPonyfillFactory?: WebSpeechPonyfillFactory;
}>;
type ComposerProps = APIComposerProps & ComposerCoreProps;
declare const Composer: {
    ({ activityMiddleware, activityStatusMiddleware, attachmentForScreenReaderMiddleware, attachmentMiddleware, avatarMiddleware, cardActionMiddleware, children, extraStyleSet, renderMarkdown, scrollToEndButtonMiddleware, sendBoxMiddleware: sendBoxMiddlewareFromProps, sendBoxToolbarMiddleware: sendBoxToolbarMiddlewareFromProps, styleOptions, styleSet, suggestedActionsAccessKey, toastMiddleware, typingIndicatorMiddleware, webSpeechPonyfillFactory, ...composerProps }: ComposerProps): React.JSX.Element;
    defaultProps: {
        children: any;
        extraStyleSet: any;
        nonce: any;
        renderMarkdown: any;
        styleSet: any;
        suggestedActionsAccessKey: string;
        webSpeechPonyfillFactory: any;
        internalRenderErrorBox: any;
        onTelemetry: any;
        ponyfill: any;
        store: any;
    };
    propTypes: {
        children: PropTypes.Requireable<any>;
        extraStyleSet: PropTypes.Requireable<any>;
        nonce: PropTypes.Requireable<string>;
        renderMarkdown: PropTypes.Requireable<(...args: any[]) => any>;
        styleSet: PropTypes.Requireable<any>;
        suggestedActionsAccessKey: PropTypes.Requireable<NonNullable<string | boolean>>;
        webSpeechPonyfillFactory: PropTypes.Requireable<(...args: any[]) => any>;
        internalRenderErrorBox: PropTypes.Requireable<any>;
        onTelemetry: PropTypes.Requireable<(...args: any[]) => any>;
        ponyfill: PropTypes.Requireable<any>;
        store: PropTypes.Requireable<any>;
    };
};
export default Composer;
export type { ComposerProps };
//# sourceMappingURL=Composer.d.ts.map