import PropTypes from 'prop-types';
import React from 'react';
import { ComposerProps } from './Composer';
type ReactWebChatProps = Readonly<Omit<ComposerProps, 'children'> & {
    className?: string;
    role?: 'complementary' | 'contentinfo' | 'form' | 'main' | 'region';
}>;
declare const ReactWebChat: {
    ({ className, role, ...composerProps }: ReactWebChatProps): React.JSX.Element;
    defaultProps: {
        children: any;
        extraStyleSet: any;
        nonce: any;
        renderMarkdown: any;
        styleSet: any;
        suggestedActionsAccessKey: string;
        webSpeechPonyfillFactory: any;
        internalRenderErrorBox: any;
        onTelemetry: any;
        ponyfill: any;
        store: any;
        className: any;
        role: any;
    };
    propTypes: {
        extraStyleSet: PropTypes.Requireable<any>;
        nonce: PropTypes.Requireable<string>;
        renderMarkdown: PropTypes.Requireable<(...args: any[]) => any>;
        styleSet: PropTypes.Requireable<any>;
        suggestedActionsAccessKey: PropTypes.Requireable<NonNullable<string | boolean>>;
        webSpeechPonyfillFactory: PropTypes.Requireable<(...args: any[]) => any>;
        internalRenderErrorBox: PropTypes.Requireable<any>;
        onTelemetry: PropTypes.Requireable<(...args: any[]) => any>;
        ponyfill: PropTypes.Requireable<any>;
        store: PropTypes.Requireable<any>;
        className: PropTypes.Requireable<string>;
        role: PropTypes.Requireable<string>;
    };
};
export default ReactWebChat;
export type { ReactWebChatProps };
//# sourceMappingURL=ReactWebChat.d.ts.map