import React from 'react';
/**
 * Submits the text box and optionally set the focus after send.
 */
type SubmitTextBoxFunction = {
    /**
     * Submits the text box, without setting the focus after send.
     *
     * @deprecated Instead of passing `false`, you should leave the `setFocus` argument `undefined`.
     */
    (setFocus: false): void;
    /**
     * Submits the text box and optionally set the focus after send.
     */
    (setFocus?: 'sendBox' | 'sendBoxWithoutKeyboard'): void;
};
declare function useTextBoxSubmit(): SubmitTextBoxFunction;
declare function useTextBoxValue(): [string, (textBoxValue: string) => void];
declare const TextBox: ({ className }: Readonly<{
    className?: string | undefined;
}>) => React.JSX.Element;
export default TextBox;
export { useTextBoxSubmit, useTextBoxValue };
//# sourceMappingURL=TextBox.d.ts.map