import { StrictStyleOptions } from 'botframework-webchat-api';
export default function createBasicTranscriptStyleSet({ paddingRegular, primaryFont, transcriptActivityVisualKeyboardIndicatorColor, transcriptActivityVisualKeyboardIndicatorStyle, transcriptActivityVisualKeyboardIndicatorWidth, transcriptTerminatorBackgroundColor, transcriptTerminatorBorderRadius, transcriptTerminatorColor, transcriptTerminatorFontSize, transcriptVisualKeyboardIndicatorColor, transcriptVisualKeyboardIndicatorStyle, transcriptVisualKeyboardIndicatorWidth }: StrictStyleOptions): {
    '&.webchat__basic-transcript': {
        '&:focus': {
            outline: number;
            '& .webchat__basic-transcript__activity-indicator.webchat__basic-transcript__activity-indicator--focus': {
                borderColor: string;
                borderStyle: string;
                borderWidth: string | number;
                boxSizing: string;
                height: string;
                left: number;
                marginBottom: number;
                marginLeft: number;
                marginRight: number;
                marginTop: number;
                pointerEvents: string;
                position: string;
                top: number;
                width: string;
            };
        };
        '&:focus-visible .webchat__basic-transcript__focus-indicator, .webchat__basic-transcript__terminator:focus-visible + .webchat__basic-transcript__focus-indicator': {
            height: string;
            borderColor: string;
            borderStyle: string;
            borderWidth: string | number;
            boxSizing: string;
            pointerEvents: string;
            position: string;
            top: number;
            width: string;
        };
        '& .webchat__basic-transcript__activity': {
            paddingTop: number;
            position: string;
            '&:first-child': {
                marginTop: number;
            };
            '&:not(:first-child)': {
                marginTop: number;
            };
        };
        '& .webchat__basic-transcript__activity-active-descendant': {
            height: string;
            left: number;
            marginTop: number;
            paddingBottom: number;
            pointerEvents: string;
            position: string;
            top: number;
            width: string;
        };
        '& .webchat__basic-transcript__activity-body:not(:empty)': {
            paddingBottom: number;
        };
        '& .webchat__basic-transcript__terminator': {
            bottom: number;
            height: number;
            outline: number;
            position: string;
            width: string;
        };
        '& .webchat__basic-transcript__terminator-body': {
            bottom: number;
            display: string;
            justifyContent: string;
            position: string;
            width: string;
        };
        '& .webchat__basic-transcript__terminator:not(:focus) .webchat__basic-transcript__terminator-body': {
            display: string;
        };
        '& .webchat__basic-transcript__terminator-text': {
            backgroundColor: string;
            borderRadius: string | number;
            color: string;
            fontFamily: string;
            fontSize: string | number;
            margin: number;
            padding: number;
        };
    };
};
//# sourceMappingURL=BasicTranscript.d.ts.map