import { StrictStyleOptions } from 'botframework-webchat-api';
export default function createKeyboardHelpStyleSet({ paddingRegular, primaryFont }: StrictStyleOptions): {
    '&.webchat__keyboard-help': {
        fontFamily: string;
        fontSize: number;
        height: string;
        outline: number;
        overflow: string;
        '&:not(.webchat__keyboard-help--shown)': {
            height: number;
            margin: number;
            overflow: string;
            pointerEvents: string;
            width: number;
        };
        '& .webchat__keyboard-help__border': {
            boxSizing: string;
            height: string;
            padding: number;
        };
        '& .webchat__keyboard-help__box': {
            borderRadius: number;
            boxShadow: string;
            height: string;
            overflow: string;
            "@media (forced-colors: active)": {
                backgroundColor: string;
                boxShadow: string;
                outlineColor: string;
                outlineStyle: string;
                outlineWidth: number;
            };
            "@media (forced-colors: none) and (prefers-color-scheme: dark)": {
                backgroundColor: string;
                boxShadow: string;
            };
        };
        '& .webchat__keyboard-help__scrollable': {
            boxSizing: string;
            height: string;
            overflowY: string;
            padding: number;
            position: string;
        };
        '& .webchat__keyboard-help__close-button': {
            appearance: string;
            backgroundColor: string;
            border: number;
            outline: number;
            padding: number;
            pointerEvents: string;
            position: string;
            right: number;
            top: number;
        };
        '& .webchat__keyboard-help__close-button-border': {
            alignItems: string;
            borderRadius: number;
            borderStyle: string;
            borderWidth: number;
            color: string;
            display: string;
            height: number;
            justifyContent: string;
            pointerEvents: string;
            width: number;
            "@media (forced-colors: none) and (prefers-color-scheme: light)": {
                borderColor: string;
                '&:active': {
                    backgroundColor: string;
                };
                '&:not(:active):hover': {
                    backgroundColor: string;
                };
            };
            "@media (forced-colors: none) and (prefers-color-scheme: dark)": {
                borderColor: string;
                '&:active': {
                    backgroundColor: string;
                };
                '&:not(:active):hover': {
                    backgroundColor: string;
                };
            };
            "@media (forced-colors: active)": {
                backgroundColor: string;
                borderColor: string;
            };
        };
        '& .webchat__keyboard-help__close-button-image': {
            fill: string;
            height: number;
            width: number;
            "@media (forced-colors: active)": {
                fill: string;
            };
            "@media (forced-colors: none) and (prefers-color-scheme: dark)": {
                fill: string;
            };
        };
        '& .webchat__keyboard-help__header, & .webchat__keyboard-help__sub-header': {
            marginBottom: number;
            marginTop: number;
        };
        '& .webchat__keyboard-help__section:not(:last-child)': {
            marginBottom: number;
        };
        '& .webchat__keyboard-help__two-panes': {
            alignItems: string;
            display: string;
        };
        '& .webchat__keyboard-help__image': {
            paddingRight: number;
        };
        '& .webchat__keyboard-help__image--dark, & .webchat__keyboard-help__image--high-contrast': {
            display: string;
        };
        "@media (forced-colors: active)": {
            '& .webchat__keyboard-help__image--dark, & .webchat__keyboard-help__image--light': {
                display: string;
            };
            '& .webchat__keyboard-help__image--high-contrast': {
                display: string;
                mixBlendMode: string;
            };
        };
        "@media (forced-colors: none) and (prefers-color-scheme: dark)": {
            color: string;
            '& .webchat__keyboard-help__image--light': {
                display: string;
            };
            '& .webchat__keyboard-help__image--dark': {
                display: string;
            };
        };
        '& .webchat__keyboard-help__notes': {
            marginBottom: number;
            marginTop: number;
        };
        '& .webchat__keyboard-help__notes-header': {
            fontWeight: string;
            margin: number;
        };
        '& .webchat__keyboard-help__notes-pane': {
            flexShrink: number;
        };
        '& .webchat__keyboard-help__notes-text': {
            margin: number;
        };
    };
};
//# sourceMappingURL=KeyboardHelp.d.ts.map