export default function createLinkDefinitionsStyleSet(): {
    '&.webchat__link-definitions': {
        '.webchat__link-definitions__header': {
            alignItems: string;
            display: string;
            fontFamily: "var(--webchat__font--primary)";
            fontSize: "var(--webchat__font-size--small)";
            gap: number;
            listStyle: string;
            "@media (forced-colors: none)": {
                color: string;
            };
            "@media (forced-colors: none) and not (forced-colors: none)": {
                color: string;
            };
        };
        '.webchat__link-definitions__header-text': {
            flexShrink: number;
        };
        '.webchat__link-definitions__header::-webkit-details-marker': {
            display: string;
        };
        '.webchat__link-definitions__header-chevron': {
            flexShrink: number;
        };
        '&:not([open]) .webchat__link-definitions__header-chevron': {
            transform: string;
        };
        '.webchat__link-definitions__header-filler': {
            flexGrow: number;
        };
        '.webchat__link-definitions__header-accessory': {
            overflow: string;
        };
        '.webchat__link-definitions__message-sensitivity-label': {
            display: string;
            gap: number;
        };
        '.webchat__link-definitions__message-sensitivity-label-icon': {
            color: string;
            flexShrink: number;
        };
        '.webchat__link-definitions__message-sensitivity-label-text': {
            overflow: string;
            textOverflow: string;
            whiteSpace: string;
        };
        '.webchat__link-definitions__list': {
            display: string;
            flexDirection: string;
            gap: number;
            margin: string;
            padding: number;
        };
        '.webchat__link-definitions__list-item': {
            display: string;
            flexDirection: string;
        };
        '.webchat__link-definitions__badge': {
            alignItems: string;
            alignSelf: string;
            borderRadius: string;
            borderStyle: string;
            borderWidth: number;
            display: string;
            flexShrink: number;
            fontSize: string;
            justifyContent: string;
            margin: number;
            minWidth: string;
            overflow: string;
            padding: number;
            whiteSpace: string;
            "@media (forced-colors: none)": {
                backgroundColor: string;
                borderColor: string;
                color: string;
            };
            "@media (forced-colors: none) and not (forced-colors: none)": {
                backgroundColor: string;
                borderColor: string;
                color: string;
            };
            "@media (forced-colors: active)": {
                borderColor: string;
            };
        };
        '.webchat__link-definitions__list-item-box': {
            alignItems: string;
            borderRadius: number;
            borderStyle: string;
            borderWidth: number;
            "@media (forced-colors: none)": {
                backgroundColor: string;
                borderColor: string;
            };
            "@media (forced-colors: none) and not (forced-colors: none)": {
                backgroundColor: string;
                borderColor: string;
            };
            "@media (forced-colors: active)": {
                backgroundColor: string;
                borderColor: string;
            };
        };
        '.webchat__link-definitions__list-item-box--as-link': {
            display: string;
            outlineOffset: number;
            textDecoration: string;
        };
        '.webchat__link-definitions__list-item-box--as-button': {
            appearance: string;
            background: string;
            cursor: string;
            fontFamily: string;
            fontSize: string;
            overflow: string;
            padding: number;
            textAlign: string;
        };
        '.webchat__link-definitions__list-item-body': {
            alignItems: string;
            display: string;
            fontFamily: string;
            gap: number;
            padding: number;
        };
        '.webchat__link-definitions__list-item-body-main': {
            display: string;
            flexDirection: string;
            gap: number;
            overflow: string;
        };
        '.webchat__link-definitions__list-item-main-text': {
            alignItems: string;
            display: string;
            gap: number;
        };
        '.webchat__link-definitions__list-item-badge, .webchat__link-definitions__list-item-text': {
            overflow: string;
            textOverflow: string;
            whiteSpace: string;
        };
        '.webchat__link-definitions__list-item-text': {
            textDecoration: string;
            "@media (forced-colors: none)": {
                color: "var(--webchat__color--accent)";
            };
        };
        '.webchat__link-definitions__list-item-badge': {
            fontSize: "var(--webchat__font-size--small)";
            "@media (forced-colors: none)": {
                color: "var(--webchat__color--subtle)";
            };
        };
        '.webchat__link-definitions__open-in-new-window-icon': {
            flexShrink: number;
            paddingRight: number;
            "@media (forced-colors: none)": {
                color: "var(--webchat__color--accent)";
            };
        };
    };
};
//# sourceMappingURL=LinkDefinitions.d.ts.map