import { StrictStyleOptions } from 'botframework-webchat-api';
export default function createStackedLayoutStyle({ avatarSize, bubbleMaxWidth, bubbleMinWidth, paddingRegular, transitionDuration }: StrictStyleOptions): {
    '&.webchat__stacked-layout': {
        marginLeft: number;
        marginRight: number;
        '& .webchat__stacked-layout__alignment-pad': {
            transitionDuration: string;
            transitionProperty: string;
            width: number;
        };
        '&.webchat__stacked-layout--extra-trailing .webchat__stacked-layout__alignment-pad': {
            width: number;
        };
        '& .webchat__stacked-layout__avatar-gutter': {
            transitionDuration: string;
            transitionProperty: string;
            width: number;
        };
        '& .webchat__stacked-layout__attachment': {
            maxWidth: number;
            minWidth: number;
            transitionDuration: string;
            transitionProperty: string;
        };
        '& .webchat__stacked-layout__attachment-row': {
            marginTop: number;
            width: string;
        };
        '&.webchat__stacked-layout--no-message .webchat__stacked-layout__attachment-row.webchat__stacked-layout__attachment-row--first': {
            marginTop: number;
        };
        '& .webchat__stacked-layout__message': {
            maxWidth: number;
            overflow: string;
            transitionDuration: string;
            transitionProperty: string;
        };
        '& .webchat__stacked-layout__nub-pad': {
            transitionDuration: string;
            transitionProperty: string;
            width: number;
        };
        '&.webchat__stacked-layout--hide-avatar, &.webchat__stacked-layout--show-avatar': {
            '& .webchat__stacked-layout__avatar-gutter': {
                width: number;
            };
        };
        '&.webchat__stacked-layout--hide-avatar, &.webchat__stacked-layout--show-avatar, &.webchat__stacked-layout--hide-nub, &.webchat__stacked-layout--show-nub': {
            '& .webchat__stacked-layout__attachment, & .webchat__stacked-layout__message': {
                maxWidth: number;
            };
            '& .webchat__stacked-layout__nub-pad': {
                width: number;
            };
        };
        '&:not(.webchat__stacked-layout--top-callout)': {
            '& .webchat__stacked-layout__avatar-gutter, & .webchat__stacked-layout__content': {
                justifyContent: string;
            };
        };
    };
};
//# sourceMappingURL=StackedLayout.d.ts.map