import { StrictStyleOptions } from 'botframework-webchat-api';
export default function createSuggestedActionsStyle({ paddingRegular, suggestedActionsCarouselFlipperSize, suggestedActionsFlowMaxHeight, suggestedActionsStackedHeight, suggestedActionsStackedOverflow, suggestedActionsVisualKeyboardIndicatorColor, suggestedActionsVisualKeyboardIndicatorStyle, suggestedActionsVisualKeyboardIndicatorWidth, transcriptOverlayButtonBackground, transcriptOverlayButtonBackgroundOnDisabled, transcriptOverlayButtonBackgroundOnFocus, transcriptOverlayButtonBackgroundOnHover, transcriptOverlayButtonColor, transcriptOverlayButtonColorOnDisabled, transcriptOverlayButtonColorOnFocus, transcriptOverlayButtonColorOnHover }: StrictStyleOptions): {
    '&.webchat__suggested-actions': {
        position: string;
        '&.webchat__suggested-actions--carousel-layout': {
            '& .webchat__suggested-actions__carousel': {
                paddingBottom: number;
                paddingTop: number;
                '& .webchat__suggested-actions__item-box': {
                    paddingBottom: number;
                    paddingLeft: number;
                    paddingRight: number;
                    paddingTop: number;
                };
                '& .react-film__filmstrip': {
                    scrollbarWidth: string;
                };
                '& .react-film__flipper': {
                    '&:disabled, &[aria-disabled="true"]': {
                        '& .react-film__flipper__body': {
                            backgroundColor: string;
                            color: string;
                        };
                    };
                    '&:focus .react-film__flipper__body': {
                        backgroundColor: string;
                        color: string;
                    };
                    '&:hover .react-film__flipper__body': {
                        backgroundColor: string;
                        color: string;
                    };
                    '& .react-film__flipper__body': {
                        background: string;
                        color: string;
                        outline: number;
                    };
                };
            };
            '&:not(.webchat__suggested-actions--rtl)': {
                '& .react-film__filmstrip__item:first-child': {
                    paddingLeft: number;
                };
                '& .react-film__filmstrip__item:last-child': {
                    paddingRight: number;
                };
                '& .react-film__flipper + .react-film__filmstrip': {
                    '& .react-film__filmstrip__item:first-child': {
                        paddingLeft: number;
                    };
                    '& .react-film__filmstrip__item:last-child': {
                        paddingRight: number;
                    };
                };
            };
            '&.webchat__suggested-actions--rtl': {
                '& .react-film__filmstrip__item:first-child': {
                    paddingRight: number;
                };
                '& .react-film__filmstrip__item:last-child': {
                    paddingLeft: number;
                };
                '& .react-film__flipper + .react-film__filmstrip': {
                    '& .react-film__filmstrip__item:first-child': {
                        paddingRight: number;
                    };
                    '& .react-film__filmstrip__item:last-child': {
                        paddingLeft: number;
                    };
                };
            };
        };
        '&.webchat__suggested-actions--flow-layout': {
            '& .webchat__suggested-actions__flow-box': {
                maxHeight: undefined;
                overflowY: string;
                paddingBottom: number;
                paddingLeft: number;
                paddingRight: number;
                paddingTop: number;
            };
            '& .webchat__suggested-actions__flow-item-box': {
                maxWidth: string;
                overflow: string;
            };
            '& .webchat__suggested-actions__item-box': {
                paddingBottom: number;
                paddingLeft: number;
                paddingRight: number;
                paddingTop: number;
            };
        };
        '&.webchat__suggested-actions--stacked-layout': {
            '& .webchat__suggested-actions__stack': {
                maxHeight: number | "auto";
                overflowY: "visible" | "hidden" | "auto" | "scroll";
                paddingBottom: number;
                paddingLeft: number;
                paddingRight: number;
                paddingTop: number;
            };
            '& .webchat__suggested-actions__item-box': {
                paddingBottom: number;
                paddingLeft: number;
                paddingRight: number;
                paddingTop: number;
            };
        };
        '&.webchat__suggested-actions--flow-layout, &.webchat__suggested-actions--stacked-layout': {
            '& .webchat__suggested-actions__button-text': {
                overflow: string;
                textOverflow: string;
            };
            '& .webchat__suggested-actions__button-text-stacked-text-wrap': {
                alignItems: string;
                display: string;
                whiteSpace: string;
            };
        };
        '& .webchat__suggested-actions__item-box': {
            display: string;
            maxWidth: string;
        };
        '&.webchat__suggested-actions--focus-within, &:focus-within': {
            '& .webchat__suggested-actions__focus-indicator': {
                borderColor: string;
                borderStyle: string;
                borderWidth: number;
                boxSizing: string;
                height: string;
                pointerEvents: string;
                position: string;
                top: number;
                width: string;
            };
        };
    };
};
//# sourceMappingURL=SuggestedActions.d.ts.map