import { StrictStyleOptions } from 'botframework-webchat-api';
export default function createToastStyle({ primaryFont, toasterHeight, toastErrorColor, toastFontSize, toastIconWidth, toastInfoColor, toastSuccessColor, toastTextPadding, toastWarnColor }: StrictStyleOptions): {
    fontFamily: string;
    fontSize: string | number;
    minHeight: string | number;
    '&.webchat__toast--error': {
        color: string;
        fill: string;
    };
    '&.webchat__toast--info': {
        color: string;
        fill: string;
    };
    '&.webchat__toast--success': {
        color: string;
        fill: string;
    };
    '&.webchat__toast--warn': {
        color: string;
        fill: string;
    };
    '& .webchat__toast__iconBox': {
        alignItems: string;
        display: string;
        flexShrink: number;
        height: string | number;
        justifyContent: string;
        width: string | number;
    };
    '& .webchat__toast__dismissButton': {
        alignItems: string;
        appearance: string;
        backgroundColor: string;
        border: number;
        display: string;
        height: string | number;
        justifyContent: string;
        outline: number;
        padding: number;
        width: string | number;
        '&:focus .webchat__toast__dismissButtonFocus': {
            borderColor: string;
        };
        '&:hover .webchat__toast__dismissButtonFocus': {
            backgroundColor: string;
        };
    };
    '& .webchat__toast__dismissButtonFocus': {
        alignItems: string;
        borderColor: string;
        borderStyle: string;
        borderWidth: number;
        borderRadius: number;
        display: string;
        height: number;
        justifyContent: string;
        width: number;
    };
    '& .webchat__toast__text': {
        alignSelf: string;
        paddingBottom: string | number;
        paddingTop: string | number;
    };
};
//# sourceMappingURL=Toast.d.ts.map