import { StrictStyleOptions } from 'botframework-webchat-api';
export default function createToasterStyle({ primaryFont, toasterHeight, toasterMaxHeight, toastErrorBackgroundColor, toastErrorColor, toasterSingularMaxHeight, toastFontSize, toastIconWidth, toastInfoBackgroundColor, toastInfoColor, toastSeparatorColor, toastSuccessBackgroundColor, toastSuccessColor, toastWarnBackgroundColor, toastWarnColor }: StrictStyleOptions): {
    overflowY: string;
    '&:not(.webchat__toaster--expandable)': {
        maxHeight: string | number;
    };
    '&.webchat__toaster--expandable:not(.webchat__toaster--expanded) > ul': {
        height: number;
    };
    '&.webchat__toaster--expandable.webchat__toaster--expanded': {
        maxHeight: string | number;
    };
    '& .webchat__toaster__header': {
        alignItems: string;
        alignSelf: string;
        appearance: string;
        backgroundColor: string;
        border: number;
        display: string;
        fontFamily: string;
        fontSize: string | number;
        minHeight: string | number;
        outline: number;
        padding: number;
        textAlign: string;
        '&:focus .webchat__toaster__expandIconFocus': {
            borderColor: string;
        };
        '&:hover .webchat__toaster__expandIconFocus': {
            backgroundColor: string;
        };
    };
    '& .webchat__toaster__expandIconFocus': {
        alignItems: string;
        borderColor: string;
        borderStyle: string;
        borderWidth: number;
        borderRadius: number;
        display: string;
        height: number;
        justifyContent: string;
        width: number;
    };
    '&.webchat__toaster--error': {
        '&:not(.webchat__toaster--expandable), & .webchat__toaster__header': {
            backgroundColor: string;
        };
        '& .webchat__toaster__header': {
            color: string;
            fill: string;
        };
    };
    '&.webchat__toaster--info': {
        '&:not(.webchat__toaster--expandable), & .webchat__toaster__header': {
            backgroundColor: string;
        };
        '& .webchat__toaster__header': {
            color: string;
            fill: string;
        };
    };
    '&.webchat__toaster--success': {
        '&:not(.webchat__toaster--expandable), & .webchat__toaster__header': {
            backgroundColor: string;
        };
        '& .webchat__toaster__header': {
            color: string;
            fill: string;
        };
    };
    '&.webchat__toaster--warn': {
        '&:not(.webchat__toaster--expandable), & .webchat__toaster__header': {
            backgroundColor: string;
        };
        '& .webchat__toaster__header': {
            color: string;
            fill: string;
        };
    };
    '& .webchat__toaster__expandLevelIconBox': {
        height: string | number;
        width: string | number;
    };
    '& .webchat__toaster__expandIcon': {
        height: string | number;
        width: string | number;
    };
    '& .webchat__toaster__expandText': {
        padding: string;
    };
    '& .webchat__toaster__expandLevelIconBox, & .webchat__toaster__expandIcon': {
        alignItems: string;
        display: string;
        justifyContent: string;
    };
    '& .webchat__toaster__list': {
        margin: number;
        overflowY: string;
        padding: number;
    };
    '& .webchat__toaster__listItem:first-child:last-child': {
        overflow: string;
    };
    '& .webchat__toaster__listItem:not(:first-child), & .webchat__toaster__listItem:not(:last-child)': {
        borderBottomColor: string;
        borderBottomStyle: string;
        borderBottomWidth: number;
        minHeight: number;
    };
};
//# sourceMappingURL=Toaster.d.ts.map