import type { VFC } from 'react';
/**
 * React component to on-demand narrate "Failed to send message" at the end of the live region.
 *
 * We cannot narrate "failed to send message" next to the activity. At the time when the activity is being sent,
 * the activity is also queued to the screen reader. And at that moment, we not yet know if the activity can be sent or not.
 *
 * We only know when the activity was failed to send at a later time.
 *
 * Thus, we need to use a live region "footnote" to indicate the message was failed to send.
 */
declare const LiveRegionSendFailed: VFC<{}>;
export default LiveRegionSendFailed;
//# sourceMappingURL=SendFailed.d.ts.map