import { type BlankNode } from './BlankNode';
/**
 * A blank node is a node with `@id` starting with `"_:"`
 *
 * @see https://json-ld.github.io/json-ld.org/spec/latest/json-ld/#dfn-blank-nodes
 * @param node A node.
 * @returns `true`, if the node is a blank node, otherwise, `false`.
 */
export default function isBlankNode(node: unknown): node is BlankNode;
//# sourceMappingURL=isBlankNode.d.ts.map