import { type DependencyList } from 'react';
type Fn<TArgs, TResult> = (...args: TArgs[]) => TResult;
/**
 * `useMemoized` will memoize multiple calls to the same memoize function.
 *
 * @param {Fn<TArgs, TResult>} fn - The function to be memoized.
 * @param {DependencyList} deps - Dependencies to detect for chagnes.
 */
export default function useMemoized<TFinal, TArgs>(fn: Fn<TArgs, TFinal>, deps: DependencyList): Fn<TArgs, TFinal>;
export {};
//# sourceMappingURL=useMemoized.d.ts.map